> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Payment Methods to Enroll

Get the list of payment methods the user has available for enrollment.


## OpenAPI

````yaml openapi/payment-methods-checkout/retrieve-payment-methods-to-enroll-checkout.json GET /checkout/customers/sessions/{customer_session}/payment-methods
openapi: 3.1.0
info:
  title: get-enrollment-deprecated
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /checkout/customers/sessions/{customer_session}/payment-methods:
    get:
      summary: Retrieve Payment Methods To Enroll
      operationId: retrieve-payment-methods-to-enroll-checkout
      parameters:
        - name: customer_session
          in: path
          description: >-
            The customer session that has been created for the enrollment using
            the [Create Customer
            Session](https://docs.y.uno/reference/create-customer-session)
            endpoint (UUID, 36 chars).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    payment_methods:
                      - name: Visa Credit Card
                        description: Visa Credit Card
                        type: VISA
                        category: CARD
                        icon: https://icons.prod.y.uno/visa_logosimbolo.png
                        enrollment:
                          session: 6641e30d-ca7a-440f-b97c-24231eac6dab
                          sdk_required_action: false
                      - name: Mastercard Credit Card
                        description: Mastercard Credit Card
                        type: MASTERCARD
                        category: CARD
                        icon: https://icons.prod.y.uno/mastercard_logosimbolo.png
                        enrollment:
                          session: 6641e30d-ca7a-440f-b97c-24231eac6dab
                          sdk_required_action: false
                      - name: PayPal Wallet
                        description: PayPal Wallet
                        type: PAYPAL
                        category: WALLET
                        icon: https://icons.prod.y.uno/paypal_logosimbolo.png
                        enrollment:
                          session: 6641e30d-ca7a-440f-b97c-24231eac6dab
                          sdk_required_action: false
              schema:
                type: object
                properties:
                  payment_methods:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Visa Credit Card
                        description:
                          type: string
                          example: Visa Credit Card
                        type:
                          type: string
                          example: VISA
                        category:
                          type: string
                          example: CARD
                        icon:
                          type: string
                          example: https://icons.prod.y.uno/visa_logosimbolo.png
                        enrollment:
                          type: object
                          properties:
                            session:
                              type: string
                              example: 6641e30d-ca7a-440f-b97c-24231eac6dab
                            sdk_required_action:
                              type: boolean
                              example: false
                              default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````